%define name rpm-mandriva-setup
%define version 1.29
%define release %mkrel 3

# This can be useful for backport, as rpm-4.2
# provides the emacs-spec mode
%define have_emacsmodespec 1
%if %mdkversion < 200600
%define have_emacsmodespec 0
%endif

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 1}

Summary: The Mandriva rpm configuration and scripts
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
# upstream patch
Patch0:  clean-icons-cache.patch
Patch1:  mkrel-have-subrel-before-distsuffix.patch
License: GPL
Group: System/Configuration/Packaging
Url: http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/rpm-setup/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Mandriva rpm configuration and scripts.

%package build
Group: System/Configuration/Packaging
Summary: The Mandriva rpm configuration and scripts to build rpms
Requires: spec-helper >= 0.6-5mdk
Requires: multiarch-utils >= 1.0.3
Requires: %name = %version-%release
%if have_emacsmodespec
Conflicts: rpm < 4.4.1
%endif

%description build
The Mandriva rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d

%if have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (mandrakized)." t)
EOF
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%dir %_prefix/lib/rpm/mandriva
%_prefix/lib/rpm/mandriva/rpmrc
%_prefix/lib/rpm/mandriva/macros
%_prefix/lib/rpm/mandriva/rpmpopt
%_prefix/lib/rpm/mandriva/*-%_target_os

%dir %{_sysconfdir}/rpm/macros.d

%files build
%defattr(-,root,root)
%exclude %_prefix/lib/rpm/mandriva/rpmrc
%exclude %_prefix/lib/rpm/mandriva/macros
%exclude %_prefix/lib/rpm/mandriva/rpmpopt
%exclude %_prefix/lib/rpm/mandriva/*-%_target_os
%_prefix/lib/rpm/mandriva/*

%if have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif

%changelog
* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 15:26:24 (60327)
- revert again mkrel which magically came back, grrr

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-01 15:19:58 (59389)
- back to 0.29 + patch to please the FREEZE

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-01 15:05:24 (59382)
- 1.30 emergency fix clean_icon_cache (goetz)

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-31 16:07:51 (59067)
- being wrong hapen sometimes: revert last change

* Wed Aug 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-30 22:45:40 (58928)
- 1.28 (subrel before distsuffix)

* Wed Aug 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-30 14:09:17 (58819)
- 1.27

* Wed Aug 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-30 14:07:09 (58817)
Import rpm-mandriva-setup

* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org> 1.26-1mdv2007.0
- 1.26
- pkgconfig file can be located in /usr/share/pkgconfig, looking for it
  to create requirement (thanks Gotz)

* Thu Jul 13 2006 Olivier Blin <oblin@mandriva.com> 1.25-1mdv2007.0
-  1.25:
   o Force also icon cache generation on uninstall
     or removed files might be left in cache (Frederic Crozat)

* Thu Jun 29 2006 Olivier Blin <oblin@mandriva.com> 1.24-1mdv2007.0
- 1.24:
  o use %%mkrel by default in new spec files (rpm-spec-mode for emacs)

* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org> 1.23-1mdv2007.0
- 1.23
- add desktop and scrollkeeper macro (F. Crozat)
- add _webapp* macros

* Sat Jun 03 2006 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2007.0
- 1.22
- enable pkgconfig/libtool provides
- strip bad requirement for ppc

* Wed May 24 2006 Olivier Thauvin <nanardon@mandriva.org> 1.21-1mdk
- new %%mkrel behavior

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 1.20-1mdk
- fix X11 location
- latest spec-helper adaptation

* Wed May 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.19-1mdk
- Revert changes made in 1.18

* Mon Apr 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.18-1mdk
- find-requires: require only .so that are in standard paths, and use ldd
  instead of objdump to get their list.

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.17-1mdk
- Don't provide .so files that aren't in standard paths
- Don't search perl files for provides if they don't end with .pm
- Fix rename macro (don't obsolete what is provided) (Ze)

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- Fix automatic deps for some devel packages (Guillaume Rousse)
- Update OS name

* Tue Mar 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- Set _repackage_all_erasures to 0 (rgs)
- Add a way to disable fortify from cflags (Olivier Thauvin)
- Add a macro to list all sparc-compatible archs (Per Øyvind Karlsen)
- Emacs mode fixes (Pixel)
- Remove pre flags on python requirement (Helio)

* Sun Jan 15 2006 Olivier Thauvin <nanardon@mandriva.org> 1.14-1mdk
- remove /etc/rpm/macros.* from macros search path
- add macro for gcjdb (Giuseppe)

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.13-1mdk
- add %py_platlibdir, %py_purelibdir (misc)
 

* Tue Jan 10 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12-1mdk
- fix typo in RequireS (#20574)

* Fri Jan 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.11-1mdk
- Set _changelog_truncate to "3 years ago"
- Restore _query_all_fmt to its default 4.4.2 value

* Thu Jan 05 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- Add _rpmlock_path to default macros

* Wed Jan 04 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.9-1mdk
- find-debuginfo.sh: preserve setuid/setgid permissions when stripping
  files for -debug package
- Rafael Garcia-Suarez <rgarciasuarez at mandriva.com>
  * perl.req: Fix typo in comment
  * macros.in: Typo fix
- Olivier Thauvin <thauvin at aerov.jussieu.fr>
  * find-requires.in: - rpm output to stdout if file exists, so we
    have ignore first output in all case and keep the result only if
    we are sure rpm exit with 0
  * macros.in: - Fix PreReq, thanks neoclust to recall me this

* Mon Oct 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.8-1mdk
- Ignore perl version requires
- Get correctly the Perl dependencies from "use base"

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.7-1mdk
- Insert a dependency on libperl.so for XS perl modules

* Thu Oct 06 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.6-1mdk
- enable -debug packages for 2007
- build with -fasynchronous-unwind-tables on regular x86 too
- build C code with -fexceptions too

* Thu Oct 06 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.1-1mdk
- fix %%py_libdir for lib64 platforms (#18772)
- perl.req: add the proper detection of 'use base qw(Foo::Bar)'
  construct (Michael Scherer)

* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5-1mdk
- make generation of debug packages work again
- factor out compile flags and build with -D_FORTIFY_SOURCE=2

* Thu Aug 18 2005 Olivier Thauvin <nanardon@mandriva.org> 1.4-1mdk
- fix php.req about include of relatives path (P. Terjan)

* Tue Aug 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3-1mdk
- check-multiarch-files: fix invocation and path (/usr/lib/rpm/check-*),
  default to not check for multiarch files in 2006

* Sun Aug 07 2005 Olivier Thauvin <nanardon@zarb.org> 1.2-1mdk
- add req/prov for php pear
- add conectiva macros

* Sat Jun 25 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-4mdk
- require multiarch-utils

* Thu Jun 23 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-3mdk
- enforce requirement to avoid conflict during update

* Wed Jun 22 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-2mdk
- split package for dep

* Mon Jun 13 2005 Olivier Thauvin <nanardon@zarb.org> 1.1-1mdk
- few connectiva macros
- from Gwenole Beauchesne
  - merge from old ppc64 branch:
  * find-requires: handle ppc64 loaders

* Wed May 25 2005 Olivier Thauvin <nanardon@zarb.org> 1.0-1mdk
- 1.0:
  - disable automatic gpg key query on server
  - add automatic require for ocaml (G. Rousse)

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 0.8-1mdk
- 0.8: fix %%_localstatedir

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- 0.7 (integrate spec mode for emacs)

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- 0.6 %_libexecdir

* Mon May 09 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5-1mdk
- 0.5 (translate pentium[34] => i586)

* Fri May 06 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4-1mdk
- 0.4
  - fix popt options

* Tue May 03 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- 0.3 (better compatiblity)

* Sun May 01 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2-1mdk
- 0.2 (minor fix)

* Wed Apr 27 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1-1mdk
- First mandriva spec

